OGRE: Ogre::HlmsTextureManager::DefaultTextureParameters Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::HlmsTextureManager::DefaultTextureParameters Struct Reference

`#include <OgreHlmsTextureManager.h>`

## Public Member Functions
| DefaultTextureParameters ()

## Public Attributes
bool | hwGammaCorrection
bool | isNormalMap
uint16 | maxTexturesPerArray
| Unknown means assign based on the individual texture. More...
bool | mipmaps
PackingMethod | packingMethod
float | packMaxRatio
| Textures with a higher AR (whether width / height or height / width) than this value won't be packed. More...
bool | packNonPow2
| Whether non-power-of-2 textures should be packed together. More...
PixelFormat | pixelFormat
ThresholdVec | textureArraysTresholds
| Only used when packingMethod == TextureArrays. More...

## Constructor & Destructor Documentation

## ◆ DefaultTextureParameters()

Ogre::HlmsTextureManager::DefaultTextureParameters::DefaultTextureParameters | ( |  | ) |
| inline

## Member Data Documentation

## ◆ hwGammaCorrection

bool Ogre::HlmsTextureManager::DefaultTextureParameters::hwGammaCorrection

## ◆ isNormalMap

bool Ogre::HlmsTextureManager::DefaultTextureParameters::isNormalMap

## ◆ maxTexturesPerArray

uint16 Ogre::HlmsTextureManager::DefaultTextureParameters::maxTexturesPerArray

Unknown means assign based on the individual texture.

## ◆ mipmaps

bool Ogre::HlmsTextureManager::DefaultTextureParameters::mipmaps

## ◆ packingMethod

PackingMethod Ogre::HlmsTextureManager::DefaultTextureParameters::packingMethod

## ◆ packMaxRatio

float Ogre::HlmsTextureManager::DefaultTextureParameters::packMaxRatio

Textures with a higher AR (whether width / height or height / width) than this value won't be packed.

Example: packMaxRatio = 2; textures with a resolution of 1024x512 or 512x2048 won't be packed because 1024 / 512 >= 2 and 2048 / 512 >= 2

## ◆ packNonPow2

bool Ogre::HlmsTextureManager::DefaultTextureParameters::packNonPow2

Whether non-power-of-2 textures should be packed together.

## ◆ pixelFormat

PixelFormat Ogre::HlmsTextureManager::DefaultTextureParameters::pixelFormat

## ◆ textureArraysTresholds

ThresholdVec Ogre::HlmsTextureManager::DefaultTextureParameters::textureArraysTresholds

Only used when packingMethod == TextureArrays.

The documentation for this struct was generated from the following file:

- OgreHlmsTextureManager.h